This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 53225 - wl-xemacs problems with imap
wl-xemacs problems with imap
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: wl (Show other bugs)
roswell
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Satoru SATOH
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-05 03:48 EDT by Jens Petersen
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-05 03:48:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2001-09-05 03:48:23 EDT
Description of Problem:
wl-xemacs has problems with imap

Version-Release number of selected component (if applicable):
2.4.1-6

How Reproducible:
always


1. Login to imap servers is not working well.

Get following message:
Login failed: elmo-imap4-auth-login

Backtracing gives:

(elmo-authenticate-error elmo-imap4-auth-login)
  signal(elmo-authenticate-error (elmo-imap4-auth-login))
  byte-code("..." [error elmo-authenticate-error elmo-remove-passwd session
format "%s:%s/%s@%s:%d" 2 5 6 3 4 elmo-network-close-session signal] 9)
  elmo-network-open-session(elmo-imap4-session "IMAP" "imap" 143 "user"
login nil)
  elmo-network-get-session(elmo-imap4-session "IMAP" "imap" 143 "user"
login nil nil)
  elmo-imap4-get-session((imap4 "rhkernel-list" "user" login "imap" 143 nil))
  wl-summary-msgdb-load-async("%rhkernel-list:user@imap")
  wl-summary-goto-folder-subr("%rhkernel-list:user@imap" update nil nil t)
  wl-folder-jump-to-current-entity(nil)
  call-interactively(wl-folder-jump-to-current-entity)

Somehow the summary buffer still appears.

2. when trying to read any article in an imap folder get the error:

Autoloading failed to define function std11-fetch-field

It seems std11.el[c] (in semi-xemacs and! xemacs) is not being autoloaded.
Comment 1 Jens Petersen 2001-09-17 04:01:14 EDT
fixed in xemacs-21.1.14-23 and semi-xemacs-1.14.3-7.

Note You need to log in before you can comment on or make changes to this bug.